#!/bin/bash
echo Downloading latest from git repository...
set -e

wget http://projects.vdr-developer.org/projects/plg-sleeptimer/repository/revisions/master/raw/sleeptimer.c -O ../sleeptimer.c
DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
#VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/' | cut -d':' -f2`
VERSION_DATE=`/bin/date +%0Y%0m%0d`
VERSION_ID=`grep '*VERSION' ../sleeptimer.c | cut -d "\"" -f 2 | sed 's/-/~/g'`

git clone git://projects.vdr-developer.org/vdr-plugin-sleeptimer.git ${DEB_SOURCE_PACKAGE}

sudo rm -rf sleeptimer-${VERSION_ID}/.git*
sudo rm -rf .pc
tar cvfz "../${DEB_SOURCE_PACKAGE}_${VERSION_ID}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
sudo rm -rf ${DEB_SOURCE_PACKAGE}/debian
mv -f debian ${DEB_SOURCE_PACKAGE}
mv -f ${DEB_SOURCE_PACKAGE} .${DEB_SOURCE_PACKAGE}-${VERSION_ID}
rm -rf *
mv -f .${DEB_SOURCE_PACKAGE}-${VERSION_ID}/* .
rm -rf .${DEB_SOURCE_PACKAGE}-${VERSION_ID}
dch -m -b -v "1:${VERSION_ID}-1+opp~1" "Build for OPP-VDR"
dch -m -a "New upstream release"
rm -rf ../sleeptimer.c
